aboutsummaryrefslogtreecommitdiffstats
path: root/isodumper
diff options
context:
space:
mode:
authorpapoteur-mga <yves.brungard_git@gadz.org>2013-09-15 21:33:52 +0200
committerpapoteur-mga <yves.brungard_git@gadz.org>2013-09-15 21:33:52 +0200
commitdbad1c226a3c192466e510e4ebd9866b67e19573 (patch)
tree893e1111d755b460dd5cfc63ac832e88ed2f61c9 /isodumper
parentb858e479ba345863cbfd3c5148cff087bb993a7c (diff)
downloadisodumper-dbad1c226a3c192466e510e4ebd9866b67e19573.tar
isodumper-dbad1c226a3c192466e510e4ebd9866b67e19573.tar.gz
isodumper-dbad1c226a3c192466e510e4ebd9866b67e19573.tar.bz2
isodumper-dbad1c226a3c192466e510e4ebd9866b67e19573.tar.xz
isodumper-dbad1c226a3c192466e510e4ebd9866b67e19573.zip
First commit
Diffstat (limited to 'isodumper')
-rwxr-xr-xisodumper16
1 files changed, 16 insertions, 0 deletions
diff --git a/isodumper b/isodumper
new file mode 100755
index 0000000..5e4467a
--- /dev/null
+++ b/isodumper
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# Yes that script is horribly ugly and it would be nice if someone
+# would implement the pkill pinging in the pythn script or even write
+# a safe replacement for dd at all with proper progress reporting
+# directly in the python script instead of that hack.
+
+set -e
+
+TERM=xterm
+
+DIR=/usr/lib/isodumper
+
+watch -n1 -- pkill -USR1 ^dd$ >/dev/null 2>&1 &
+MYPID=$!
+$DIR/isodumper.py && kill -9 $MYPID